Subject: Re: Is the L2TPv3 Session ID globally unique, or just unique betweenpeers?

From: Stewart Bryant <[email-masked]>
Date: Tue, 02 Jul 2002 10:08:39 +0100

David Clear wrote:
> 
> I hope someone can clarify this point.  I have not found it explicitly
> written in the drafts.
> 
> If the Session ID is globally unique, does the IP address of the sender need
> to be verified?
> 
> If the Session ID is only unique between peers, then there is no issue, and
> a tunnel is uniquely identified by the 3-tuple (IPSA, IPDA, Session-ID)?
> 

It is unique between peers. Although a session can be uniquely identified by
IPSA + IPDA + SID, or I suppose more correctly by VPN_ID + IPSA + IPDA + SID
there are some implementation advantages to using just IPDA + SID.

Stewart

> Regards,
> David.
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3